#!/usr/bin/env python3

import subprocess
import numpy as np
from astropy.io import fits
from astropy.time import Time

calibration_flux = 1.0  # arbitrary units

def lc(filename, out, idataset):
    f = open(filename, "r")

    f2 = open(out, "w")
    f2.write("# JD (barycentric, TDB) & flux [mag] & sigma [mag] & idataset & dataset\n")
#    f2.write("# calibration_flux = %f e-/s\n" % calibration_flux)

    i=0
    for line in f.readlines():
        i+=1
        if i==1:
            continue
        if line[0:1]=="#":
            continue
        l = line.split()
        hjd = float(l[0])
        flux = -float(l[1])
        sigma = float(l[2])
        dataset = l[3]

        mag = flux
        sigma_mag = sigma
#        mag = -2.5*np.log10(flux/calibration_flux)
#        sigma_mag = mag + 2.5*np.log10((flux+sigma)/calibration_flux)

        t1 = Time(hjd, scale='utc', format='jd')
        t2 = t1.tdb

        f2.write("%.8f  %16.8e  %16.8e  %d  %s\n" % (t2.jd, mag, sigma_mag, idataset, dataset))

    f.close()
    f2.close()

def main():
    lc("BRITE_blue_ph.txt", "Lc_brite_B.tmp", idataset=57)
    lc("BRITE_red_ph.txt" , "Lc_brite_R.tmp", idataset=58)

if __name__ == "__main__":
    main()

